unit QuickToolsIconChanger;

interface

{$I QuickTools.inc}

uses
  Windows,
  Forms,
  QuickToolsGlobal;

procedure ChangeIcon;

implementation

{$IFDEF Delphi7}
 {$R QuickToolsIconChanger7.res}
{$ELSE}
 {$IFDEF Delphi6}
  {$R QuickToolsIconChanger6.res}
 {$ELSE}
  {$R QuickToolsIconChanger5.res}
 {$ENDIF}
{$ENDIF}

procedure ChangeIcon;
begin
  if not ProjOptDialog then
  begin
    if Options.ChangeIcon then
    begin
      {$IFDEF Delphi7}
      Application.Icon.Handle:=LoadIcon(HInstance,'QUICKTOOLSD7ICON');
      {$ELSE}
      {$IFDEF Delphi6}
      Application.Icon.Handle:=LoadIcon(HInstance,'QUICKTOOLSD6ICON');
      {$ELSE}
      if Application.Title='C++Builder 5' then
        Application.Icon.Handle:=LoadIcon(HInstance,'QUICKTOOLSC5ICON')
      else
        Application.Icon.Handle:=LoadIcon(HInstance,'QUICKTOOLSD5ICON');
      {$ENDIF}
      {$ENDIF}
    end
    else
      Application.Icon.Handle:=LoadIcon(MainInstance,'MAINICON');
  end;
end;

initialization
  ChangeIcon;
finalization
  if not ProjOptDialog then
    Application.Icon.Handle:=LoadIcon(MainInstance,'MAINICON');
end.

